%define pre 0
%if %pre
%define rel 0.%pre.1
%define fname %name-%version-%pre
%else 
%define fname %name-%version
%endif

Summary: A gtk+ based diagram creation program
Name: dia
Version: 0.97.2
Release: %mkrel 2
License: GPLv2+
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%version/%{fname}.tar.xz
Patch0:         dia-noglib.patch
Patch1:         dia-unregister-import.patch
Patch2:         dia-glib.patch
URL: http://www.gnome.org/projects/dia 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
BuildRequires:	pygtk2.0
BuildRequires:	python-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	png-devel
BuildRequires:	libxslt-devel
BuildRequires:	cairo-devel
BuildRequires:	intltool
BuildRequires:	autoconf2.5
BuildRequires:  PyXML
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	libtool gnome-common
Requires:	pygtk2.0
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	%{_lib}python2.7

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %fname
%patch0 -p0 -b .noglib
%patch1 -p1 -b .unregister-import
%patch2 -p1 -b .glib

sed -i 's|libdia_la_LDFLAGS = -avoid-version|libdia_la_LDFLAGS = -avoid-version $(shell pkg-config gtk+-2.0 libxml-2.0 libart-2.0 --libs)|' \
  lib/Makefile.*
chmod -x `find objects/AADL -type f`
iconv -f WINDOWS-1252 -t UTF8 doc/en/usage-layers.xml > usage-layers.xml.UTF-8
mv usage-layers.xml.UTF-8 doc/en/usage-layers.xml


%build
autoreconf --verbose --force --install
%configure2_5x --enable-db2html

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std


find %buildroot -name '*.la' | xargs rm

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/libcairo*

#fix icon and invalid version in bugzilla field
sed -i -e 's/@\(%{version}\)@/\1/g' -e 's/Icon=dia_gnome_icon.png/Icon=dia_gnome_icon/g' $RPM_BUILD_ROOT%{_datadir}/applications/dia.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Graphics" \
  --add-category="GTK" \
  --add-category="Office" \
  --add-category="Chart" \
  --add-category="X-MandrivaLinux-Office-Graphs" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#fix menu icon
mkdir -p %buildroot/%_datadir/pixmaps
install -m 0644 data/icons/48x48/apps/dia.png %buildroot/%_datadir/pixmaps/%{name}.png

%find_lang %{name} --with-man


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/applications/dia.desktop
%_datadir/icons/hicolor/*/*/*
%_datadir/doc/dia/*/examples/*
%_datadir/pixmaps/%{name}.png

%changelog
* Tue Aug 20 2013 billybot <billybot> 0.97.2-2pclos2013
- update python 2.7

* Sat Mar 31 2012 MBantz <martin dot bantz at gmail dot com> 0.97.2-1pclos2012
- Update to 0.97.2
- Added note to packager - remove *.la files in your system before compile
- libpython files location fixed in configure

* Mon Oct 17 2011 Texstar <texstar at gmail.com> 0.97.1-4pclos2011
- update for 64bit

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.97.1-3pclos2010
- rebuild python

* Thu Feb 04 2010 Texstar <texstar at gmail.com> 0.97.1-2pclos2010
- fix menu

* Sun Jan 24 2010 slick50 <lxgator@gmail.com.com> 0.97.1-1pclos2010
- 0.97.1

* Wed May 05 2009 pcserver <pcserver@hushmail.com> 0.97-1pclos2009
- 0.97

* Thu Sep 11 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.96.1-1pclos2007
- New version 0.96.1

* Sat Aug 30 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.95-7pclos2007
- Rebuild

* Wed Nov 01 2006 Texstar <texstar@houston.rr.com> 0.95-6pclos2007
- Build for PCLinuxOS 2007

